Update an existing webhook subscription

Partially updates a webhook subscription. At least one field must be provided. If webhookEndpoint is changed, a webhook test is performed. Duplicate names within the same organization result in a 409 Conflict.

Path Params
uuid
required

The unique identifier (GUID) of the subscription

Body Params

Partial update request. At least one field must be provided.

string
length between 3 and 250

New name for the webhook subscription

uri
^https://

New HTTPS endpoint URL. Must be a valid HTTPS URL if provided.

int32 | null
1 to 500

Updated batch size

int32 | null
0 to 300000

Updated maximum waiting time in milliseconds

subscriptionEventGroups
array of objects
length ≥ 1

Updated event groups

subscriptionEventGroups
string
required

Name of the event group to subscribe to

int32
required

Version of the event group

eventNames
array of strings
required
length ≥ 1

Specific event names within the group to subscribe to

eventNames*
boolean | null

Updated overflow mode setting

customHeaders
array of objects
length ≤ 5

Updated custom headers (replaces existing headers)

customHeaders
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json